<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateOtherIncomesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: other_incomes
         */
        Schema::create('other_incomes', function ($table) {
            $table->increments('id');
            $table->decimal('amount', 10,2)->nullable();
            $table->integer('client_id')->nullable();
            $table->string('description', 250)->nullable();
            $table->enum('transaction_type', [])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('other_incomes');
    }
}
