<?php

namespace Bonus\Litecms\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class OtherIncomeTransformer extends TransformerAbstract
{
    public function transform(\Bonus\Litecms\Models\OtherIncome $other_income)
    {
        return [
            'id'                => $other_income->getRouteKey(),
            'key'               => [
                'public'    => $other_income->getPublicKey(),
                'route'     => $other_income->getRouteKey(),
            ], 
            'amount'            => $other_income->amount,
            'client_id'         => $other_income->client_id,
            'description'       => $other_income->description,
            'transaction_type'  => $other_income->transaction_type,
            'url'               => [
                'public'    => trans_url('litecms/'.$other_income->getPublicKey()),
                'user'      => guard_url('litecms/other_income/'.$other_income->getRouteKey()),
            ], 
            'status'            => trans('app.'.$other_income->status),
            'created_at'        => format_date($other_income->created_at),
            'updated_at'        => format_date($other_income->updated_at),
        ];
    }
}